C	extern void	__stdcall OZSERIAL(long* storing);

C ===========================================================================================
C
C
	SUBROUTINE OZSERIAL (STORING)
C	=================

	LOGICAL STORING
	
C	CALLED WHEN Open, Save or SaveAs SELECTED FROM FILE MENU.

C	ENABLES DATA TO BE SORED AND RETRIEVED FROM FILES SO YOUR PROGRAM
C	CAN AUTOMATICALLY RESTART WITH SAVED DATA.

C	THE CALL IS THE SAME IN ALL CASES. ONLY THE DATA NEED BE REFERENCED AND IT WILL
C	BE READ OR WRITTEN AS APPROPRIATE.

C	MOST OF THE DATA WILL PROBABLY BE IN COMMON BLOCKS, AND WILL PROBABLY BE
C	READ / WRITTEN ALL AT ONCE BY REFERENCING THE FIRST ITEM IN THE BLOCK WITH
C	THE APPROPRIATE ROUTINE AND PASSING THE CORRECT LENGTH
C
C	NOTE THAT YOU WILL PROBABLY WANT TO OUTPUT A FILE VERSION AT THE START
C
C	NOTE ALSO THAT INTEGERS AND REALS ARE 4 BYTES
C
	CHARACTER*50 STRING
	COMMON /API1/ STRING
	COMMON /API2/ XX(100)
	COMMON /API3/ II(2000)
	CHARACTER*20 CH
	COMMON /API4/ CH, X, Y(123)
	COMMON /API5/ INT, FLOAT

	CALL OZSERIALSTRING (STRING, 50)
	CALL OZSERIALREALARRAY (XX, 100)
	CALL OZSERIALINTARRAY (II,2000)
	LENGTH = 20 + 4 + 4*123
	CALL OZSERIALSTRING (CH, LENGTH)
	CALL OZSERIALINT (INT)
	CALL OZSERIALREAL (FLOAT)
     	RETURN
	END
